Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr.iter
Class IterableChildAxis

    java.lang.Object
      org.jaxen.expr.iter.IterableAxis
          org.jaxen.expr.iter.IterableChildAxis

All Implemented Interfaces:
  Serializable

public class IterableChildAxis
extends IterableAxis

Provide access to the child xpath axis.

Author:
  Bob McWhirter, James Strachan, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`IterableChildAxis(int value)` Constructor.

Method Summary
`Iterator` | `iterator(Object contextNode, ContextSupport support)` Gets the iterator for the child axis.
`Iterator` | `namedAccessIterator(Object contextNode, ContextSupport support, String localName, String namespacePrefix, String namespaceURI)` Gets an iterator for the child XPath axis that supports named access.
`boolean` | `supportsNamedAccess(ContextSupport support)` Does this axis support named access?

Methods inherited from class org.jaxen.expr.iter.IterableAxis
`value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterableChildAxis

    public IterableChildAxis(int value)

  Constructor.

Parameters:
  `value` - the axis value

Method Detail

### iterator

    public Iterator iterator(Object contextNode,
                             ContextSupport support)
                      throws UnsupportedAxisException

  Gets the iterator for the child axis.

  Specified by:
    `iterator` in class `IterableAxis`
  Parameters:
    `contextNode` - the current context node to work from
    `support` - the additional context information
  Returns:
    an iterator over the children of the context node
  Throws:
    `UnsupportedAxisException` - if the child axis is not supported

### namedAccessIterator

    public Iterator namedAccessIterator(Object contextNode,
                                        ContextSupport support,
                                        String localName,
                                        String namespacePrefix,
                                        String namespaceURI)
                                 throws UnsupportedAxisException

  Gets an iterator for the child XPath axis that supports named access.

  Overrides:
    `namedAccessIterator` in class `IterableAxis`
  Parameters:
    `contextNode` - the current context node to work from
    `support` - the additional context information
    `localName` - the local name of the children to return
    `namespacePrefix` - the prefix of the namespace of the children to return
    `namespaceURI` - the URI of the namespace of the children to return
  Returns:
    an iterator over the children of the context node
  Throws:
    `UnsupportedAxisException` - if the child axis is not supported by the model

### supportsNamedAccess

    public boolean supportsNamedAccess(ContextSupport support)

  Does this axis support named access?

  Overrides:
    `supportsNamedAccess` in class `IterableAxis`
  Parameters:
    `support` - the additional context information
  Returns:
    true if named access supported. If not iterator() will be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.